FROM fedora:33
LABEL \
    name="fedpkg test" \
    description="Run tests using tox with Python 3" \
    vendor="fedpkg developers" \
    license="MIT"

RUN dnf -y update && dnf -y install \
        python3-setuptools \
        rpm-build \
        python3-tox \
        gcc \
        libcurl-devel \
        krb5-devel \
        openssl-devel \
        make \
        git
RUN dnf clean all

WORKDIR /src

ENV PYTHONPATH "${PYTHONPATH}:./rpkg"

CMD ["tox", "-e", "py36,py39,flake8"]
